<?
define('PROTECTOR', 1);

$headmod = 'aura';//фикс. места

$textl='Инвентарь';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

$req = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой ауры нет!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

$req1 = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log' and `status`='1'");
$avto1=mysql_num_rows($req1);
if($avto1>=1){
echo'Нельзя активировать больше одной ауры!';
include($path.'files/down.php');
exit;
}

if($mag[klas]!='not' and $mag[klas]!=$udata[klas]){
echo'Эта аура не для вашего класса!';
include($path.'files/down.php');
exit;
}
if($mag[nsila] > $udata[sila] or $mag[num] > $udata[um] or $mag[nlovk] > $udata[lovk] or $mag[nlvl] > $udata[lvl]){
echo'Аура неподходит по вашим скилам!';
include($path.'files/down.php');
exit;
}

$actime=time()+$mag[actime];

mysql_query("INSERT INTO
        `aurs` SET
        `usr` = '$log',
        `actimer` = '$actime'");

$numin=$mag[umin]+$udata[umin];
$numax=$mag[umax]+$udata[umax];
$nprotect=$mag[protect]+$udata[prot];
$nhp=$mag[hp]+$udata[hpall];
$nmp=$mag[mp]+$udata[mpall];
$nkrit=$mag[krit]+$udata[krit];
$nukrit=$mag[ukrit]+$udata[ukrit];
$nanti=$mag[antikrit]+$udata[antikrit];

mysql_query("UPDATE `users` SET
         `umin` = '$numin',
         `umax` = '$numax',
         `prot` = '$nprotect',
         `hpall` = '$nhp',
         `mpall` = '$nmp',
         `krit` = '$nkrit',
         `ukrit` = '$nukrit',
         `antikrit` = '$nanti'
          WHERE usr = '$log'");


mysql_query("UPDATE item_aura SET status = '1' WHERE `usr` = '$log' and `id`='$_GET[id]'");

echo"Вы активировали ауру <b>$mag[name]</b> на $mag[actime] секунд!<br/>";

echo"<a href=\"inventar.php?\">Назад</a>";
include($path.'files/down.php');
?>